<div class="modal fade cls-manage-addresses-modal" id="manageAddressesModal" tabindex="-1" role="dialog" aria-labelledby="manageAddressesModalLabel" aria-hidden="true">
    <div class="modal-dialog {#modal-lg#}" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="manageAddressesModalLabel">{{ 'manage.addresses.title'|trans({}, 'frontends') }}</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col">
                        <p class="h5 text-muted">{{ 'manage.addresses.text'|trans({}, 'frontends') }}</p>
                    </div>
                </div>

                <div id="dv-body-manage-address">
                    {% for address in lastAddressesUsed %}

                        <div class='border cls_row_bordered mb-3 cls_address_{{ address.id }}'>

                            <div class='text-muted'>
                                {% set companyName = '' %}
                                {% if address.companyName is defined and address.companyName is not empty %}
                                    {% set companyName = '(' ~ address.companyName ~ ')' %}
                                {% endif %}

                                <div>{{ address.firstName ~ ' ' ~ address.lastName ~ ' ' ~ companyName }}</div>
                                <div>{{ address.streetAddress ~ ' ' ~ address.addressDetail ~ ', ' ~ address.postalCode ~ ', ' ~ address.city ~ ' (' ~ address.stateProvince ~ ')' }}</div>
                            </div>

                            <div class='mt-1'>
                                <input type='hidden' class='h_cls_first_name' value='{{ address.firstName }}'>
                                <input type='hidden' class='h_cls_last_name' value='{{ address.lastName }}'>
                                <input type='hidden' class='h_cls_company_name' value='{{ address.companyName }}'>
                                <input type='hidden' class='h_cls_company_address_info' value='{{ address.companyAddressInfo }}'>
                                <input type='hidden' class='h_cls_street_address' value='{{ address.streetAddress }}'>
                                <input type='hidden' class='h_cls_address_detail' value='{{ address.addressDetail }}'>
                                <input type='hidden' class='h_cls_city' value='{{ address.city }}'>
                                <input type='hidden' class='h_cls_state_province' value='{{ address.stateProvince }}'>
                                <input type='hidden' class='h_cls_postal_code' value='{{ address.postalCode }}'>
                                <input type='hidden' class='h_cls_country' value='{{ address.country.id }}'>
                                <input type='hidden' class='h_cls_email' value='{{ address.email }}'>
                                <input type='hidden' class='h_cls_phone' value='{{ address.phone }}'>
                                <a class='text-primary cls-pointer-effect link-edit-address-modal' data-address-id='{{ address.id }}' data-toggle='modal' data-target='#saveAddressModal'>{{ 'edit.or.remove.label'|trans({}, 'frontends') }}</a>
                            </div>
                        </div>

                    {% endfor %}
                </div>
                
                {% if lastAddressesUsed|length <= 10 %}
                    <a class="text-primary cls-pointer-effect link-create-address-modal" data-toggle="modal" data-target="#saveAddressModal">
                        <i class="fas fa-plus"></i> {{ 'create.address.title'|trans({}, 'frontends') }}
                    </a>
                {% endif %}

                <div class="row mt-3">
                    <div class="col text-right">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">{{ 'cancel.label'|trans({}, 'frontends') }}</button>
                        {#<button type="button" class="btn btn-primary" id="btn-manage-addresses" data-url-validate="{{ url('api_validate_certificate_fields') }}">{{ 'save.and.close'|trans({}, 'frontends') }}</button>#}
                    </div>
                </div>
            </div>

        </div>
    </div>
</div>